package com.unipi.talepis.demounipics9;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

public class MainActivity extends AppCompatActivity {
    SQLiteDatabase db;
    EditText ed1,ed2,ed3;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ed1 = findViewById(R.id.editText1);
        ed2 = findViewById(R.id.editText2);
        ed3 = findViewById(R.id.editText3);
        db = openOrCreateDatabase("DemoUnipi", Context.MODE_PRIVATE,null);
        db.execSQL("CREATE TABLE IF NOT EXISTS USER(user_id VARCHAR,user_name VARCHAR, user_tel VARCHAR);");
    }
    public void write(View view){
        db.execSQL("INSERT INTO USER VALUES('"+ed1.getText().toString()+"'," +
                "'"+ed2.getText().toString()+"'," +
                "'"+ed3.getText().toString()+"')");
        showMessage("User added!");
    }
    public void read(View view){
        Cursor cursor=db.rawQuery("SELECT * FROM USER",null);
        if (cursor.getCount()==0)
            showMessage("Sorry no data...");
        else {
            StringBuffer buffer = new StringBuffer();
            while (cursor.moveToNext()){
                buffer.append("User ID: "+cursor.getString(0)+"\n");
                buffer.append("User Name: "+cursor.getString(1)+"\n");
                buffer.append("User Tel: "+cursor.getString(2)+"\n");
                buffer.append("---------------------------------\n");
            }
            showMessage(buffer.toString());
        }
    }
    public void showMessage(String s){
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setCancelable(true);
        builder.setTitle("Alert!");
        builder.setMessage(s);
        builder.show();
    }
}
